Workspace · Usage

Calling usage and cost

Returns the calling usage and cost.

GEThttps://api.pozy.ai/v1/usage/calls
getCallsUsage

Guide: Usage and spend

Request

Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the billing resource group disabled get 403 resource_group_disabled. Authentication

Query parameters

NameTypeNotes
sincestring (date-time)
untilstring (date-time)
channelstringOne of whatsapp, pstn
numberstring
groupBystringOne of day, number, channel

Example

curl -X GET "https://api.pozy.ai/v1/usage/calls" \
  -H "Authorization: Bearer $POZY_API_KEY"

Response

200 on success

  • sincestring (date-time)
  • untilstring (date-time)
  • groupBystring

    One of day, number, channel. Can be null.

  • totalsobject
    7 child fields
    • callsinteger
    • answeredinteger
    • minutesnumber
    • billableUSDnumber
    • metaUSDnumber
    • brandedCallsinteger
    • brandedCallUSDnumber
  • groupsarray of object
    8 child fields
    • keystring
    • callsinteger
    • answeredinteger
    • minutesnumber
    • billableUSDnumber
    • metaUSDnumber
    • brandedCallsinteger
    • brandedCallUSDnumber
200 response
{
  "since": "2026-10-02T09:00:00.000Z",
  "until": "2026-10-02T09:00:00.000Z",
  "groupBy": "day",
  "totals": {
    "calls": 1,
    "answered": 1,
    "minutes": 12.5,
    "billableUSD": 12.5,
    "metaUSD": 12.5,
    "brandedCalls": 1,
    "brandedCallUSD": 12.5
  },
  "groups": [
    {
      "key": "string",
      "calls": 1,
      "answered": 1,
      "minutes": 12.5,
      "billableUSD": 12.5,
      "metaUSD": 12.5,
      "brandedCalls": 1,
      "brandedCallUSD": 12.5
    }
  ]
}

Errors

Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:

400invalid_request_errorA parameter or body field is missing or invalid. param names it.
401authentication_errorThe API key is missing, revoked or expired.
403permission_errorThe key is scoped to other profiles or has this resource group disabled.
429rate_limit_errorToo many requests this minute. Wait for Retry-After seconds.

Every code is listed in Errors.

More in Usage